petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSRosWRegisterRos4

register a fourth order Rosenbrock scheme by providing paramter choices

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRosWRegisterRos4(TSRosWType name,PetscReal gamma,PetscReal a2,PetscReal a3,PetscReal b3,PetscReal e4)

Not Collective, but the same schemes should be registered on all processes on which they will be used Many br

### Input Parameters

| name | - identifier for method Many br
| gamma | - leading coefficient (diagonal entry) Many br
| a2 | - design parameter, see Table 7.2 of Hairer&Wanner Many br
| a3 | - design parameter or PETSC_DEFAULT to satisfy one of the order five conditions (Eq 7.22) Many br
| b3 | - design parameter, see Table 7.2 of Hairer&Wanner Many br
| beta43 | - design parameter or PETSC_DEFAULT to use Equation 7.21 of Hairer&Wanner Many br
| e4 | - design parameter for embedded method, see coefficient E4 in ros4.f code from Hairer Many br

### Notes

This routine encodes the design of fourth order Rosenbrock methods as described in Hairer and Wanner volume 2. Many brIt is used here to implement several methods from the book and can be used to experiment with new methods. Many brIt was written this way instead of by copying coefficients in order to provide better than double precision satisfaction of the order conditions. Many br

Many br

### Keywords

TS, register

### See Also

TSRosW, TSRosWRegister()

Level:developer
Location:src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages